RIInvocationParser.EntryType (accounting-node 1.4.0-2.13.0 API)
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.common.accounting.node.logparser
Enum RIInvocationParser.EntryType

    java.lang.Object
      java.lang.Enum<RIInvocationParser.EntryType>
          org.gcube.common.accounting.node.logparser.RIInvocationParser.EntryType

All Implemented Interfaces:
  Serializable, Comparable<RIInvocationParser.EntryType>

Enclosing class:
  RIInvocationParser

    public static enum RIInvocationParser.EntryType

extends Enum<RIInvocationParser.EntryType>

Author:
  Andrea Manzi(CERN)

Enum Constant Summary
`ENDCALL`
`STARTCALL`

Method Summary
`String` | `toString()`
`static RIInvocationParser.EntryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RIInvocationParser.EntryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ENDCALL

    public static final RIInvocationParser.EntryType ENDCALL

### STARTCALL

    public static final RIInvocationParser.EntryType STARTCALL

Method Detail

### values

    public static RIInvocationParser.EntryType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RIInvocationParser.EntryType c : RIInvocationParser.EntryType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RIInvocationParser.EntryType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<RIInvocationParser.EntryType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.